import request from '@/utils/request'

// 查询边坡异常数据列表
export function listAbnormal(query) {
  return request({
    url: '/system/abnormal/list',
    method: 'get',
    params: query
  })
}

// 查询边坡异常数据详细
export function getAbnormal(id) {
  return request({
    url: '/system/abnormal/' + id,
    method: 'get'
  })
}

// 新增边坡异常数据
export function addAbnormal(data) {
  return request({
    url: '/system/abnormal',
    method: 'post',
    data: data
  })
}

// 修改边坡异常数据
export function updateAbnormal(data) {
  return request({
    url: '/system/abnormal',
    method: 'put',
    data: data
  })
}

// 删除边坡异常数据
export function delAbnormal(id) {
  return request({
    url: '/system/abnormal/' + id,
    method: 'delete'
  })
}
